﻿Imports Infragistics.Win.UltraWinToolbars

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        AddTool("Tool from load", "Tool from load")

    End Sub

    Private Sub AddTool(sKey As String, sCaption As String)
        Dim tool As New ButtonTool(sKey)
        tool.SharedProps.Caption = sCaption
        Me.UltraToolbarsManager1.Tools.Add(tool)

        Dim toolPopupMenu As PopupMenuTool = Me.UltraToolbarsManager1.Tools("Add to Me")
        toolPopupMenu.Tools.AddTool(sKey)
    End Sub

    Private Sub UltraToolbarsManager1_ToolClick(sender As Object, e As ToolClickEventArgs) Handles UltraToolbarsManager1.ToolClick
        Select Case e.Tool.Key
            Case "Add to Menu" : AddTool(e.Tool.Key & Guid.NewGuid.ToString, "Tool from Menu")
            Case "Tool Info" : ToolInfo()
            Case "Open Child"
                Dim form2 As New Form2
                form2.MdiParent = Me
                form2.Show()
        End Select
    End Sub

    Private Sub ToolInfo()
        Dim toolPopupMenu As PopupMenuTool = Me.UltraToolbarsManager1.Tools("Add to Me")

        Dim message As String = ""
        For Each tool As ToolBase In toolPopupMenu.Tools
            If message <> "" Then message &= vbCrLf
            message &= tool.SharedProps.Caption & " - " & tool.Key & " -- " & toolPopupMenu.Tools(tool.Key).InstanceProps.Visible & " -- " & tool.SharedProps.Visible
        Next

        Me.UltraTextEditor1.Text = message
    End Sub

End Class
